.TH MPI_File_iwrite_shared 3 "11/12/2019" " " "MPI"
.SH NAME
MPI_File_iwrite_shared \-  Nonblocking write using shared file pointer 
.SH SYNOPSIS
.nf
#ifdef HAVE_MPI_GREQUEST
#include "mpiu_greq.h"
#endif
int MPI_File_iwrite_shared(MPI_File fh, ROMIO_CONST void *buf, int count,
MPI_Datatype datatype, MPIO_Request * request)
.fi
.SH INPUT PARAMETERS
.PD 0
.TP
.B fh 
- file handle (handle)
.PD 1
.PD 0
.TP
.B buf 
- initial address of buffer (choice)
.PD 1
.PD 0
.TP
.B count 
- number of elements in buffer (nonnegative integer)
.PD 1
.PD 0
.TP
.B datatype 
- datatype of each buffer element (handle)
.PD 1

.SH OUTPUT PARAMETERS
.PD 0
.TP
.B request 
- request object (handle)
.PD 1

.SH NOTES FOR FORTRAN
All MPI routines in Fortran (except for 
.I MPI_WTIME
and 
.I MPI_WTICK
) have
an additional argument 
.I ierr
at the end of the argument list.  
.I ierr
is an integer and has the same meaning as the return value of the routine
in C.  In Fortran, MPI routines are subroutines, and are invoked with the
.I call
statement.

All MPI objects (e.g., 
.I MPI_Datatype
, 
.I MPI_Comm
) are of type 
.I INTEGER
in Fortran.
